<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.com.ty.lift.system.user.dao.mapper.RoleMenuMapper" >
	<resultMap id="BaseResultMap" type="cn.com.ty.lift.system.user.dao.entity.RoleMenu" >
		<id column="id" property="id" jdbcType="BIGINT" />
		<result column="role_id" property="roleId" jdbcType="BIGINT" />
		<result column="menu_id" property="menuId" jdbcType="BIGINT" />
		<result column="operate" property="operate" jdbcType="VARCHAR" />
		<result column="description" property="description" jdbcType="VARCHAR" />
	</resultMap>

	<sql id="Base_Column_List" >
		id, role_id, menu_id, operate, description
	</sql>

	<!--通过角色id 删除角色关联的菜单信息 -->
	<delete id="deleteByRoleId" parameterType="java.lang.Long" >
		delete from role_menu
		where role_id = #{roleId,jdbcType=BIGINT}
	</delete>

</mapper>